| Flutter iOS Embedder |

Public Member Functions | List of all members
FLUTTER_ASSERT_ARC::CGPathReceiver Class Referencefinal
Inheritance diagram for FLUTTER_ASSERT_ARC::CGPathReceiver:

## Public Member Functions
void | MoveTo (const flutter::DlPoint &p2, bool will_be_closed) override
void | LineTo (const flutter::DlPoint &p2) override
void | QuadTo (const flutter::DlPoint &cp, const flutter::DlPoint &p2) override
void | CubicTo (const flutter::DlPoint &cp1, const flutter::DlPoint &cp2, const flutter::DlPoint &p2) override
void | Close () override
CGMutablePathRef | TakePath () const

## Detailed Description

Definition at line 47 of file FlutterPlatformViews.mm.

## Member Function Documentation

## ◆ Close()

void FLUTTER_ASSERT_ARC::CGPathReceiver::Close | ( |  | ) |
| inlineoverride

Definition at line 65 of file FlutterPlatformViews.mm.

65 { CGPathCloseSubpath(path_ref_); }

## ◆ CubicTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::CubicTo | ( | const flutter::DlPoint & | cp1,
|  | const flutter::DlPoint & | cp2,
|  | const flutter::DlPoint & | p2
| ) |  |
| inlineoverride

Definition at line 59 of file FlutterPlatformViews.mm.

61 {
62 CGPathAddCurveToPoint(path_ref_, nil, //
63 cp1.x, cp1.y, cp2.x, cp2.y, p2.x, p2.y);
64 }

## ◆ LineTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::LineTo | ( | const flutter::DlPoint & | p2 | ) |
| inlineoverride

Definition at line 52 of file FlutterPlatformViews.mm.

52 {
53 CGPathAddLineToPoint(path_ref_, nil, p2.x, p2.y);
54 }

## ◆ MoveTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::MoveTo | ( | const flutter::DlPoint & | p2,
|  | bool | will_be_closed
| ) |  |
| inlineoverride

Definition at line 49 of file FlutterPlatformViews.mm.

49 { //
50 CGPathMoveToPoint(path_ref_, nil, p2.x, p2.y);
51 }

## ◆ QuadTo()

void FLUTTER_ASSERT_ARC::CGPathReceiver::QuadTo | ( | const flutter::DlPoint & | cp,
|  | const flutter::DlPoint & | p2
| ) |  |
| inlineoverride

Definition at line 55 of file FlutterPlatformViews.mm.

55 {
56 CGPathAddQuadCurveToPoint(path_ref_, nil, cp.x, cp.y, p2.x, p2.y);
57 }

## ◆ TakePath()

CGMutablePathRef FLUTTER_ASSERT_ARC::CGPathReceiver::TakePath | ( |  | ) | const
| inline

Definition at line 67 of file FlutterPlatformViews.mm.

67 { return path_ref_; }

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews.mm